name: Gitea Actions Demo
run-name: ${{ gitea.actor }} is testing out Gitea Actions 🚀
on: [push]

jobs:
  Build-Gradle:
    runs-on: ubuntu-latest
    container:
       image: ubuntu:latest
    steps:
      - name: List files in the repository
        run: ls ${{ gitea.workspace }}

      - name: List files in the repository
        run: ls "${{ gitea.workspace }}/environmentex"

      - name: Verify Gradle Installation
        run: cd "${{ gitea.workspace }}/environmentex" && /usr/bin/gradle --version
